---
features:
  secondary:
  - name: "New permissions for custom roles"
    available_in: [ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/custom_roles.html'
    reporter: jrandazzo
    stage: govern
    categories:
    - Permissions
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/391760'
    description: |
      There are two new permissions available you can use to create custom roles:
      
      - Manage CI/CD Variables
      - Ability to delete a group.
      
      With the release of these custom permissions, you can reduce the number of Owners needed in a group by creating a custom role with these Owner-equivalent permissions. Custom roles allow you to define granular roles that give a user only the permissions they need to do their jobs, and reduce unnecessary privilege escalation.
